﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

namespace Kansas.Rapid.DocumentRequests
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "ICourtDocumentRequiest" in both code and config file together.
    [ServiceContract]
    public interface ICourtDocumentRequests
    {

        [OperationContract]
        string GetAllRequests(string ORI, string SessionID, int MaximumRecords);

        [OperationContract]
        bool SendResponse(string XMLDoc);

        [OperationContract]
        bool ClearSession(string SessionID, string ORI);

        [OperationContract]
        bool ClearSessionByDate(string RequestDateFrom, string RequestDateTo, string ORI);
    }
}
